/*
** Simple program that reads a text file
** from disk and counts the number of times
** each letter occurs. The results are written
** to the screen.
**
** by Jon Ellis, 21 August 1994  ST Review 32
*/

#include <stdio.h>

int main(int,char *[]);

/*
** The program starts here...
*/

int main(argc,argv)

int argc;
char *argv[];

{
    int letters[26];
    FILE *infp;
    int c, f, index;

    if (argc != 2)
        printf("Usage: lcount <filename>\n\n");
    else
        {
        for (f=0; f<26; f++)
            letters[f] = 0;
        infp = fopen(argv[1],"ra");
        if (infp != NULL)
            {
            while ((c = fgetc(infp)) != EOF)
                {
                if (c >= 'A' && c <= 'Z')
                    index = c - 'A';
                else if (c >= 'a' && c <= 'z')
                    index = c - 'a';
                else continue;
                letters[index]++;
                }
            printf("Letter frequencies in file %s:\n",argv[1]);
            for (f=0; f<26; f++)
                printf("Number of %cs: %d\n",f+'A',letters[f]);
            fclose(infp);
            }
        else
            printf("Cannot open file !\n");
        }
    printf("Press RETURN to exit: ");
    getchar();
    return(0);
}

